Package org.eclipse.emf.compare.rcp.ui.structuremergeviewer.filters

## Interface IDifferenceFilter.Registry

All Known Implementing Classes:
  `DifferenceFilterRegistryImpl`

Enclosing interface:
  IDifferenceFilter

    public static interface IDifferenceFilter.Registry

A registry of `IDifferenceFilter`.

Since:
  4.0

### Method Summary

All Methods Instance Methods Abstract Methods
`IDifferenceFilter` `add​(IDifferenceFilter filter)` Add to the registry the given `IDifferenceFilter`.
`void` `clear()` Clear the registry.
`Collection<IDifferenceFilter>` `getFilters​(IComparisonScope scope, Comparison comparison)` Returns the list of `IDifferenceFilter` contained in the registry.
`IDifferenceFilter` `remove​(String className)` Remove from the registry the `IDifferenceFilter` designated by the given `String` .

### Method Detail

#### getFilters

    Collection<IDifferenceFilter> getFilters​(IComparisonScope scope,
                                             Comparison comparison)

Returns the list of `IDifferenceFilter` contained in the registry.

Parameters:
  `scope` - The scope on which the filters will be applied.
  `comparison` - The comparison which is to be displayed in the structural view.
Returns:
  The list of `IDifferenceFilter` contained in the registry.

#### add

    IDifferenceFilter add​(IDifferenceFilter filter)

Add to the registry the given `IDifferenceFilter`.

Parameters:
  `filter` - The given `IDifferenceFilter`.
Returns:
  The previous value associated with the class name of the given `IDifferenceFilter`, or null if there was no entry in the registry for the class name.

#### remove

    IDifferenceFilter remove​(String className)

Remove from the registry the `IDifferenceFilter` designated by the given `String` .

Parameters:
  `className` - The given `String` representing a `IDifferenceFilter`.
Returns:
  The `IDifferenceFilter` designated by the given `String`.

#### clear

    void clear()

Clear the registry.